<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.tc.mapper.AssetMiniProgramsJyMapper">
    <select id="getAuditList" resultType="com.ruoyi.tc.entity.zztb.AssetMiniProgramsZztbPo">
        select a.* from asset_mini_programs_cp a
        <where>
            a.task_id is null
            <if test="req.name!=null and req.name!='' ">
                and a.xcxmc like concat('%',#{req.name},'%')
            </if>
            <if test="req.dwmc!=null and req.dwmc!='' ">
                and a.ssdw like concat('%',#{req.dwmc},'%')
            </if>
            <if test="req.auditState!=null">
                and a.audit_state = #{req.auditState}
            </if>
            or xz_type=1
        </where>
        order by a.create_time desc
    </select>
</mapper>

